/* kerho.cpp */
/****************************************************************************/
/*
**        K E R H O . C P P
**
** Kerho-luokan toteutus
**
**  Tekijt:          Vesa Lappalainen
**                    Ohjelmointikurssi 1991
**  Tehty:            20.12.1991
**  Muutettu:         09.12.1995
**  Mit muutettu:    Muutettu C++ luokaksi
**  Muutettu:         10.12.1995
**  Mit muutettu:    + Laitettu tiedoston lukeminen ja kirjoittaminen
**                      toimivaksi (ks. metodit lue_tiedostosta ja talleta)
**                    + Jsenen lisys kasvattaa taulukon kokoa, mikli
**                      tila loppuu (ks. lisaa)
**  Muutettu:         20.01.1996
**  Mit muutettu:    + Jsenist siirretty omaksi luokakseen
**
** Public-metodeja:
** ================
**
**  Metodit palauttavat yleens virheen merkkijonona, joka voidaan
**  suoraan tulostaa.  Jos virhett ei tapahdu, palautetaan NULL.
**
**  cKerho(int koko=0)
**    - kerhon luominen, jos koko = 0, ei luoda jsentaulukkoa
**
**  ~cKerho()
**    - kerhon hvittminen, jos kerhoa ei ole talletettu, talletetaan
**      viimeistn nyt (mahd. virheilmoitus harakoille)
**
**  const char *cKerho::lue_tiedostosta(const string &tied)
**    - luetaan uusi jsenist, mahd. vanha talletetaan
**
**  const char *cKerho::talleta(const string &tied)
**    - talletetaan jsenist.  Jos tied=="", kytetn luettaessa
**      annettua nimi.
**
**  const string &Kerhon_nimi() const
**    - palauttaa kerhon koko nimen.
**
**  int Jasenia() const
**    - palauttaa kerhon jsenmrn
**
**  int poista(int nro)
**    - poistaa koko kerhosta jsenen, jolla on tunnus_nro nro ja
**      poistaa mys hnelle mahd. kuuluvat harrasteet
**
**  cJasenet &Jasenet()
**    - palauttaa viitteen varsinaiseen jsenistn
**
**  int Muutettu() const
**    - onko kerhoa muutettu tallettamisen jlkeen
**
**  int TeeBak(const string &bak_tark)
**    - tekee kerhon tiedostoista varmuuskopiot
**
** ---------------------------------------------------------------------------
**
** Tietorakenne on seuraava:
** =========================
**
**
**   cKerho
**   ------------
**   | jasenet  |   jasenet ks. jasenet.cpp
**   |          |
**   ------------
**
**
** Kerho ei tied jseniens ominaisuuksia.
*/
#include <stdlib.h>
#include <fstream.h>
#include "mjonotpp.h"
#include "kerho.h"

//============================================================================
// Makrot:
//============================================================================


//----------------------------------------------------------------------------
string cKerho::lue_tiedostosta(const string &tied)
{
  return jasenet.lue_tiedostosta(tied);
}


//----------------------------------------------------------------------------
string cKerho::talleta(const string &tied)
{
  return jasenet.talleta(tied);
}


