/* kerho.h */
/****************************************************************************/
/*
**        K E R H O . H
**
** Kerho-luokan esittely
**
**  Tekijt:          Vesa Lappalainen
**                    Ohjelmointikurssi 1991
**  Tehty:            20.12.1991
**  Muutettu:         09.12.1995
**  Mit muutettu:    Muutettu C++ luokaksi
**
**  Muut kommentit ks. kerho.cpp
*/

#ifndef __KERHO_H
#define __KERHO_H

#include <string>
using namespace std;
#include "jasenet.h"


//----------------------------------------------------------------------------
// Kerhon mrittely
//----------------------------------------------------------------------------
class cKerho {
  cJasenet jasenet;

  void alusta()                          {                                   }
public:
  cKerho() : jasenet()                   { alusta();                         }
  ~cKerho()                              { talleta();                        }

  string lue_tiedostosta(const string &tied);
  string talleta(const string &tied="");

  const string &Kerhon_nimi()    const   { return jasenet.Koko_nimi();       }
  int Jasenia()                  const   { return jasenet.Lkm();             }
  // poista poistaa jsenistst ja harrasteista ne joilla on nro. Tekemtt!
  int poista(int nro)                    { return 0;                         }
  int Muutettu()                 const   { return jasenet.Muutettu();        }
  int TeeBak(const string &bak_tark)     { return jasenet.TeeBak(bak_tark);  }
  string luo(const string &tied,const string &nimi,int max_koko)
                                   { return jasenet.luo(tied,nimi,max_koko); }
  string Tiedoston_nimi() const    { return jasenet.Tiedoston_nimi();        }  
  string Bak_nimi() const          { return jasenet.Bak_nimi();              }
  string lisaa(const cJasen &jasen){ return jasenet.lisaa(jasen);            }
  const cJasen &anna_jasen(int i)  { return jasenet.anna(i);                 }
};


#endif