/* kerhomain.cpp */
/*
** Kerho-ohjelman pohjelma
**
** Tekijt:          Vesa Lappalainen
**                   Ohjelmointikurssit 1991-1997
** Tehty:            20.12.1991
** Muutettu          19.12.1993/vl
**                   06.12.1995/vl  - C++ versio
** Mit muutettu:    avustus
** Muutettu          06.12.1995/vl
** Mit muutettu:    tehty C++ versio
** Muutettu          07.12.1995/vl
** Mit muutettu:    tehty document/view C++ versio
** Muutettu          09.12.1995/vl
** Mit muutettu:    jaettu osiin
** Muutettu          20.01.1997/vl
** Mit muutettu:    kerho ja jsenist eri luokiksi
** Muutettu          03.04.2000/vl
** Mit muutettu:    const char *:i poistettu
**                   poistettu ystvyyksi
**                   kerholle lis tit
**
**
** Projektiin mukaan:
**
**  kerhomain.cpp      - tm tiedosto
**  jasen.cpp          - yksittisen jsenen ksittely
**  jasenet.cpp        - jsenistn ksittely
**  kerho.cpp          - kerhon ksittely kokonaisuudessaan
**  naytto.cpp         - nyttn liittyv kerhon ksittely
**  CPP\ALI\ioali.c    - yleiskyttiset kyttjrjestelm-riippuvat io-rut.
**  CPP\ALI\mjonot.c   - yleikyttisi aliohjelmia merkkijonojen
**                       ksittelyyn
**  CPP\ALI\vstring.cpp- c++ -merkkijonoluokka (korvike std-versiolle)
**                       (jollei ole jo mukana systeemiss)
**  CPP\ALI\mjonotpp.cpp - mjonot++ string-luokan ksittelyyn
**
** Lisksi tarvitaan tietysti otsikkotiedostot:
**
**  jasen.h
**  jasenet.h
**  kerho.h
**  naytto.h
**  muunnos.h
**  CPP\ALI\ioali.h
**  CPP\ALI\mjonot.h
**  CPP\ALI\string       - jollei ole virallista string-luokkaa
**  CPP\ALI\mjonotpp.h
**
** Luokkahierarkia:
**
**  string   - yleinen merkkijonoluokka
**  cJasen   - jsenen ominaisuudet (ks. jasen.cpp ja jasen.h)
**  cJasenet - jsenet kokoava tietorakenne (ks. jasenet.cpp ja jasent.h)
**  cKerho   - kerhon ksittely kokonaisuudessaan
**  cNaytto  - kyttliittym yllpitv luokka (sislt osoittimen
**             kerhoon, ks. naytto.cpp ja naytto.h)
**
** Jos tm ohjelma halutaan kirjoittaa muulle kuin standardiptteelle,
** esim. johonkin graafiseen kyttjrjestelmn, pit kirjoittaa uusiksi
**
**  naytto-luokka    - joutuu tydelliseen remonttiin, voi jopa
**                     tulla lis toimintoja, kuten "Avaa uusi nkym"
**  kerhomai.c       - tm pohjelma
**  ioali.?          - korvautuu todennkisesti kyttliittymn vast.
**                     rutiineilla
*/

#include "naytto.h"


int main(void)
{
  cKerho kerho;
  cNaytto naytto(&kerho);
  naytto.ohjeet();

  if ( naytto.lue_tiedosto() != 0 ) return 1;

  naytto.paavalinta();

  if ( naytto.talleta() != 0 ) return 2;

  naytto.kiitokset();

  return 0;
}
